import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class MyWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class MyWorld extends World
{
    public int time = 0;

    public int score;
    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public MyWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(1000, 600, 1);
        setPaintOrder(Start.class,Mario.class, Goomba.class, Bullet.class, Ground.class);
        GreenfootImage back = getBackground();
        back.setColor(greenfoot.Color.CYAN);
        back.fill();
        prepare();
        score++;
    }

    public void act()
    {
        
        countTime();
        spawnEnemies();
        if(time%5==1)
        {
            addObject (new Ground(),1000, 558);  
        }
    }

    public void spawnEnemies()
    {
        if(Greenfoot.getRandomNumber(250) < 5)
        {
            addObject(new Goomba(), 990, 492); 
            
        }
         if(Greenfoot.getRandomNumber(300) < 5)
        {
            addObject(new Bulletbill(), 990, 0); 
            
        }
         if(Greenfoot.getRandomNumber(1000) < 5)
        {
            addObject(new Bobomb(), (Greenfoot.getRandomNumber(990)) , 1); 
            
        }
    }

    public void countTime()
    {
        time++;
        if(time % 5 == 1)
        {
            addScore(1);
            showScore();
        }
        // showTime();
    }

    public void showTime()
    {
        showText("Pts: " + time/60, 75, 25);

    }

    public void addScore(int points)
    {
        score = score + points;
        points = time + score;
        showScore();
    } 

    public void showScore()
    {
        showText("Pts:  " + score, 75, 25);
        // showText("Pts: " + time, 75, 25);

    }

    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {
        Ground ground = new Ground();
        addObject(ground,296,558);
        Ground ground2 = new Ground();
        addObject(ground2,853,565);
        ground2.setLocation(853,558);
        ground2.setLocation(873,557);
        ground2.setLocation(873,558);
        ground.setLocation(288,557);
        ground2.setLocation(865,557);
        Mario mario = new Mario();
        addObject(mario,333,489);
        mario.setLocation(333,489);
       Start start= new Start();
        addObject(start,500,300);
    }
}
